WHICH(1)

NOME
which - localiza um comando

SINOPSE
which [-a] nome_de_ficheiro ...

DESCRIÇÃO
which returns the pathnames of the files (or links) which would be executed in the current environment, had its arguments been given as commands in a strictly POSIX-conformant shell. It does this by searching the PATH for executable files matching the names of the arguments. It does not canonicalize path names.

OPÇÕES

-a  escreve todos os nomes-de-caminho correspondentes de cada argumento

ESTADO AO TERMINAR

0   se todos os comandos especificados foram encontrados e são executáveis

1   se um ou mais comandos especificados são inexistentes ou não executáveis

2   se for especificada uma opção inválida